Bug 1315153 - error: symbol references not supported in preprocess-only mode
error: symbol references not supported in preprocess-only mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nasm (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 00:30 EST by poma
Modified: 2016-05-10 06:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.11.06-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 06:18:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix "error: symbol references not supported in preprocess-only mode", needed by Syslinux (3.03 KB, patch)
2016-03-07 00:30 EST, poma
no flags Details | Diff

  None (edit)
Description poma 2016-03-07 00:30:01 EST
Created attachment 1133607 [details]
Fix "error: symbol references not supported in preprocess-only mode", needed by Syslinux

Description of problem:
Build SYSLINUX from source produces:
diskstart.inc:438: error: symbol references not supported in preprocess-only mode
diskstart.inc:439: error: symbol references not supported in preprocess-only mode

Version-Release number of selected component (if applicable):
NASM version 2.11.06 compiled on Feb 18 2015

How reproducible:
101%

Steps to Reproduce:
1. Build SYSLINUX from source

Actual results:
Broken SYSLINUX build

Expected results:
Successful build

Additional info:
- [Nasm-devel] Syslinux 6.03 build is broken by nasm upgrade 2.11.05 to 2.11.06
  https://sourceforge.net/p/nasm/mailman/message/33074214
- nasm: Fix -MD operating mode
  http://repo.or.cz/nasm.git/commitdiff/0dd37af?hp=b2c3449
Comment 1 Mikolaj Izdebski 2016-03-24 08:56:53 EDT
Only Fedora 22 is affected, older and newer versions are not.
Comment 2 Mikolaj Izdebski 2016-03-24 08:58:54 EDT
Thank you for the patch, I've pushed it to f22.
Comment 3 Fedora Update System 2016-04-06 02:14:24 EDT
nasm-2.11.06-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3c9dcc237
Comment 4 Fedora Update System 2016-04-07 12:49:46 EDT
nasm-2.11.06-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3c9dcc237
Comment 5 Fedora Update System 2016-04-21 21:51:09 EDT
nasm-2.11.06-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Mikolaj Izdebski 2016-05-10 06:18:05 EDT
I believe that this bug is fixed in nasm-2.11.06-2,
which is available in updates for Fedora 22, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=748717

Note You need to log in before you can comment on or make changes to this bug.